/******************************************
	PURPOSE:	Piranha Plant library
	Created by      Aldo Reigosa
	DATE:		11/2014
*******************************************/
#ifndef Plant_h                                                      // This is included to prevent multiple declarations of the header file
#define Plant_h                                                      // If the header statement is not defined, then this will define it

#include "Arduino.h"                                                 // This is the arduino library, which makes all the arduino functions available to use


//****************************************************************************************************************************************

//   The following is the class definition which tells the compiler of the existing functions and variables used in the class.

//****************************************************************************************************************************************

class Piranha                                               
{
  public:
  Piranha(int EchoPin, int TriggerPin);                              // Here we declare the existence of the Echo and Trigger Pins, below are the values we want to be returned.
  float readSensor();

  
  private:                                                           // These are values that can only be changed in the class. This is to prevent someone from messing up the                                                    // or using it incorrectly
  int _EchoPin;
  int _TriggerPin;
};
#endif                                                               // This is the end of the if statement we started in the beginning. If the header was not defined, it would
                                                                     // read all of the code above and end here. If it was defined, it'll skip the code and continue here.

